#
# spec file for package gnome-printer-add (Version 1.0.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel a2ps aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups cups-client cups-devel cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel foomatic-filters freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel ghostscript-mini glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomecups libgnomecups-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openslp openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed shared-mime-info strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gnome-printer-add
BuildRequires:  cups cups-devel gnutls-devel libglade2-devel libgnomecups-devel libgnomeprintui-devel libgnomeui-devel libwnck-devel mDNSResponder-devel update-desktop-files
Version:        1.0.1
Release:        16.2
URL:            http://www.gnome.org/
Group:          System/GUI/GNOME
License:        GPL
Summary:        Utility to Add a New Printer to GNOME
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.2/%{name}-%{version}.tar.gz
Autoreqprov:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Utility program to decide if a hotplugged printer is "new" and
therefore needs to be configured.



Authors:
--------
    fejj@novell.com

%debug_package
%prep
%setup

%build
autoconf
export CFLAGS="$RPM_OPT_FLAGS"
./configure\
	--prefix=/opt/gnome
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/opt/gnome/bin/*

%changelog -n gnome-printer-add
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 - fejj@suse.de
- Updated to 1.0.1
* Fri Jul 29 2005 - fejj@suse.de
- New SuSE package, version 1.0.0
